package com.game.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.game.common.annotation.Excel;
import com.game.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 游戏配置对象 app_game
 *
 * @author game
 * @date 2024-06-14
 */
@TableName(resultMap = "com.game.business.mapper.AppGameMapper.AppGameResult")
@Data
public class AppGame extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    @ApiModelProperty(value = "$column.columnComment")
    @TableId(value = "id" , type = IdType.AUTO)
    private Long id;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    @Excel(name = "名称")
    private String name;

    /**
     * 所属分类id
     */
    @ApiModelProperty(value = "所属分类id")
    @Excel(name = "所属分类id")
    private Long classifyId;

    /**
     * logo
     */
    @ApiModelProperty(value = "logo")
    @Excel(name = "logo")
    private String logoUrl;

    /**
     * 游戏路径
     */
    @ApiModelProperty(value = "游戏路径")
    @Excel(name = "游戏路径")
    private String gamePath;

    /**
     * 是否启用 0：未启用  1：已启用
     */
    @ApiModelProperty(value = "是否启用 0：未启用  1：已启用")
    @Excel(name = "是否启用 0：未启用  1：已启用")
    private Long status;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    @Excel(name = "排序")
    private Long orderno;

    /**
     * 备用字段1
     */
    @ApiModelProperty(value = "备用字段1")
    @Excel(name = "备用字段1")
    private String gameExpand1;

    /**
     * 备用字段2
     */
    @ApiModelProperty(value = "备用字段2")
    @Excel(name = "备用字段2")
    private String gameExpand2;

    /**
     * 备用字段3
     */
    @ApiModelProperty(value = "备用字段3")
    @Excel(name = "备用字段3")
    private String gameExpand3;

    /**
     * 备用字段4
     */
    @ApiModelProperty(value = "备用字段4")
    @Excel(name = "备用字段4")
    private String gameExpand4;

}

