package com.game.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.game.common.annotation.Excel;
import com.game.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 【请填写功能名称】对象 app_game_classify
 *
 * @author game
 * @date 2024-06-14
 */
@TableName(resultMap = "com.game.business.mapper.AppGameClassifyMapper.AppGameClassifyResult")
@Data
public class AppGameClassify extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    @ApiModelProperty(value = "$column.columnComment")
    @TableId(value = "id" , type = IdType.AUTO)
    private Long id;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    @Excel(name = "名称")
    private String name;

    /**
     * logo
     */
    @ApiModelProperty(value = "logo")
    @Excel(name = "logo")
    private String logoUrl;

    /**
     * 是否启用 0：未启用  1：启用
     */
    @ApiModelProperty(value = "是否启用 0：未启用  1：启用")
    @Excel(name = "是否启用 0：未启用  1：启用")
    private Long status;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    @Excel(name = "排序")
    private Long orderno;

}
